#ifndef OPTIONS_H
#define OPTIONS_H

#include "cfg.h"

namespace Ui {
    class options;
}

class options : public QWidget
{
    Q_OBJECT

public:
    explicit options(QWidget *parent = 0);
    ~options();
    Ui::options *ui;

    static bool isSupported(QString core, QString romFileName);

public slots:
    void load_cfg();
    void save_cfg();
    void reload_cfg();

    void psx4m_hwa_block();
    void createCfg();
    void memory_card_1();
    void memory_card_2();
    void show();
    void accel_toggled(bool toggled);
    void config_accel();
    void coreChanged(bool);

protected:
    void hideEvent(QHideEvent *);

private:
    QString m_MemoryCard1;
    QString m_MemoryCard2;
#ifdef Q_WS_MAEMO_5
    QString GetMemoryCardName(QString selected);
#endif
    QEventLoop* m_Loop;

    void init_data();
};

#endif // OPTIONS_H
